**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Figure A3: Performance in the First 100 Years After the Premiere of an Opera
clear all
set more off

use  "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/repeated_performances.dta", clear

***PANEL A: LOMBARDY AND VENETIA

twoway bar lombardy_venetia years_since_premiere, xtitle("Years since Premiere") ytitle("Repeated Performances") ///
text(250 39 "life+10", placement(w)) text(250 42 "life+12", placement(e)) text(250 59.5 "life+30", placement(e)) text(250 70 "life+40", placement(e)) ///
xline(39.23, lcolor(black) lpattern(shortdash)) xline(41.23, lcolor(black) lpattern(shortdash)) xline(59.23, lcolor(black) lpattern(shortdash)) xline(69.23, lcolor(black) lpattern(shortdash)) ///
xscale(r(0 100)) xlabel(20 40 60 80 100) color(gs5) graphregion(color(white)) 

***PANEL B: OTHER STATES
twoway bar other_states years_since_premiere, xtitle("Years since Premiere") ytitle("Repeated Performances") ///
text(250 39 "life+10", placement(w)) text(250 42 "life+12", placement(e)) text(250 59.5 "life+30", placement(e)) text(250 70 "life+40", placement(e)) ///
xline(39.23, lcolor(black) lpattern(shortdash)) xline(41.23, lcolor(black) lpattern(shortdash)) xline(59.23, lcolor(black) lpattern(shortdash)) xline(69.23, lcolor(black) lpattern(shortdash)) ///
xscale(r(0 100)) xlabel(20 40 60 80 100) color(gs5) graphregion(color(white)) 

