**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Figure A4: Italian Cities in Which at least an Opera Was Premiered
clear all
set more off

use  "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/italyI.dta", clear


gen regione=""
replace regione="Valle d'Aosta" if SIGLA=="AO"
replace regione="Piemonte" if SIGLA=="AT" | SIGLA=="CN" | SIGLA=="TO" | SIGLA=="AL" | SIGLA=="NO" | SIGLA=="VC"  | SIGLA=="BI" | SIGLA=="VB"
replace regione="Liguria" if SIGLA=="GE" | SIGLA=="IM" | SIGLA=="SV"  | SIGLA=="SP" 
replace regione="Lombardia" if SIGLA=="MB" | SIGLA=="MI" | SIGLA=="BG"  | SIGLA=="BS" | SIGLA=="VA" ///
| SIGLA=="CO" | SIGLA=="CR"  | SIGLA=="MN" | SIGLA=="PV" | SIGLA=="SO" | SIGLA=="LC" | SIGLA=="LO"
replace regione="Veneto" if SIGLA=="VE" | SIGLA=="VR" | SIGLA=="BL" | SIGLA=="PD" | SIGLA=="RO" ///
| SIGLA=="TV" | SIGLA=="VI"
replace regione="Trentino Alto Adige" if SIGLA=="TN" | SIGLA=="BZ"
replace regione="Friuli Venezia Giulia" if SIGLA=="TS" | SIGLA=="UD" | SIGLA=="PN" | SIGLA=="GO"
replace regione="Toscana" if SIGLA=="FI" | SIGLA=="SI" | SIGLA=="PI" | SIGLA=="LU" | SIGLA=="LI" | ///
SIGLA=="GR" | SIGLA=="AR" | SIGLA=="MS" | SIGLA=="PO" | SIGLA=="PT"
replace regione="Emilia Romagna" if SIGLA=="PC" | SIGLA=="RE" | SIGLA=="MO" | SIGLA=="BO" | SIGLA=="PR" ///
| SIGLA=="FC" | SIGLA=="FE" | SIGLA=="RA" | SIGLA=="FC" | SIGLA=="RN"
replace regione="Umbria" if SIGLA=="PG" | SIGLA=="TR"
replace regione="Marche" if SIGLA=="AN" | SIGLA=="MC" | SIGLA=="AP" | SIGLA=="PU"  | SIGLA=="FM"
replace regione="Lazio" if SIGLA=="RM" | SIGLA=="RI" | SIGLA=="LT" | SIGLA=="FR" | SIGLA=="VT"
replace regione="Campania" if SIGLA=="NA" | SIGLA=="SA" | SIGLA=="BN" | SIGLA=="AV" | SIGLA=="CE"
replace regione="Abruzzo" if SIGLA=="PE" | SIGLA=="CH" | SIGLA=="AQ" | SIGLA=="TE" 
replace regione="Molise" if SIGLA=="CB" | SIGLA=="IS" 
replace regione="Puglia" if SIGLA=="BA" | SIGLA=="FG" | SIGLA=="BR" | SIGLA=="LE" | SIGLA=="TA" | SIGLA=="BAT"
replace regione="Basilicata" if SIGLA=="MT" | SIGLA=="PZ" 
replace regione="Calabria" if SIGLA=="RC" | SIGLA=="CZ" | SIGLA=="CS" | SIGLA=="KR" | SIGLA=="VV"
replace regione="Sicilia" if SIGLA=="CT" | SIGLA=="ME" | SIGLA=="PA"  | SIGLA=="TP" | SIGLA=="EN" | ///
SIGLA=="CL" | SIGLA=="RG" | SIGLA=="SR" | SIGLA=="AG"
replace regione="Sardegna" if SIGLA=="CA" | SIGLA=="NU" | SIGLA=="SS" | SIGLA=="OR" | SIGLA=="CI" | ///
SIGLA=="OG" | SIGLA=="OT" | SIGLA=="VS"

gen treatment=3 if regione=="Lombardia" | regione=="Veneto"
replace treatment=1 if missing(treatment)

gen merge_province=1 if regione=="Piemonte" | regione=="Liguria" | regione=="Valle d'Aosta" 
replace merge_province=13 if regione=="Lombardia" 
replace merge_province=28 if regione=="Veneto" 
replace merge_province=78 if regione=="Campania" | regione=="Abruzzo" | regione=="Molise" | regione=="Basilicata" | regione=="Calabria" | regione=="Puglia" 
replace merge_province=67 if regione=="Lazio" | regione=="Umbria" | regione=="Marche" | SIGLA=="RA" | SIGLA=="FE" | SIGLA=="FC" | SIGLA=="RN" | SIGLA=="BO"   
replace merge_province=42 if SIGLA=="MO" | SIGLA=="RE"
replace merge_province=40 if SIGLA=="PR" | SIGLA=="PC"
replace merge_province=40 if SIGLA=="PR" | SIGLA=="PC"
replace merge_province=51 if regione=="Toscana" & SIGLA~="LU"
replace merge_province=95 if regione=="Sicilia"
replace merge_province=105 if regione=="Sardegna"
replace merge_province=0 if regione=="Trentino Alto Adige" | regione=="Friuli Venezia Giulia"

replace merge_province=id if missing(merge_province)

mergepoly id using "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/italyI2.dta", ///
coordinates("`data'italy_merge.dta") by(merge_province) replace

***PANEL A: 1781-1800

spmap using "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/italy_merge.dta" if merge_province~=0, id(id) clmethod(custom) clbreaks(1(1)3) fcolor(white gs7) ///
    legend(label(1 "No Copyright") label(3 "1801 Copyright Law") label(2 "No Copyright")) ///
	point(data("~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/city_premiere_preperiod.dta") xcoord(x_coord) ycoord(y_coord) size(vsmall))    ///
	label(data("~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/city_premiere_preperiod.dta") ///
	label(city_names2) xcoord(x_coord)  ycoord(y_coord) color(black) size(2) position(12) gap(0.1)) 

***PANEL B: 1801-1820
spmap treatment using "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/italy_merge.dta" if merge_province~=0, id(id) clmethod(custom) clbreaks(1(1)3) fcolor(white gs7) ///
    legend(label(1 "No Copyright") label(3 "1801 Copyright Law") label(2 "No Copyright")) ///
	point(data("~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/city_premiere_postperiod.dta") xcoord(x_coord) ycoord(y_coord) size(vsmall))    ///
	label(data("~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/city_premiere_postperiod.dta") ///
	label(city_names2) xcoord(x_coord)  ycoord(y_coord) color(black) size(2) position(12) gap(0.1)) 
	

