**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Figure A5: Average Number of Theaters per City per Year, 1770-1900
clear all
set more off

use  "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/theaters_1770_1900.dta", clear

twoway line theaters_l_v year, lcolor(black) || ///
line theaters_other_states year, lcolor(black) lpattern(dash) ///
legend(label (1 "Lombardy and Venetia") label (2 "Other States") size(3) row(1)) ///
ytitle("Theaters per City per Year", size(3))  ///
ylabel(,labsize(3)) ///
xtitle("") xlabel(, labsize(3)) ///
xscale(range(1770 1900)) xlabel(1780 1800 1820 1840 1860 1880 1900) yscale(range(0 1.5)) ylabel(0 0.5 1 1.5) ///
xline(1801, lcolor(black) lpattern(shortdash)) text(1.5 1801  "1801 Copyright Law", size(3) placement(e)) graphregion(color(white)) 



