**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Table A10: Analysis of Repeat Performance, OLS and Poissson
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/operas_1781_1820_repeat_premiere.dta", clear

xtset state1 year

*******OVERALL POPULARITY: AVERAGE NUMBER OF REPEAT PERFORMANCE

***Column 1: OLS, State and Year FE
reg repeated_count copyright_post1801 i.state1 i.year, nocon robust
	 
***Column 2: OLS, Year FE
reg repeated_count copyright_post1801 copyright i.year, nocon robust
	 
***Column 3: Poisson 
poisson repeated_count copyright_post1801 i.state1 i.year,  vce(robust)
margins, dydx(*)
			 

*******IMMEDIATE HIT: REPEAT PERFORMANCE IN THE YEAR OF THE PREMIERE

***Column 4: OLS, State and Year FE
reg season_count  copyright_post1801 i.state1 i.year, nocon robust
	 
***Column 5: OLS, Year FE
reg season_count  copyright_post1801 copyright i.year, nocon robust
	 
***Column 6: Poisson 
poisson season_count  copyright_post1801 i.state1 i.year, vce(robust)
margins, dydx(*)
