**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Table A14: Composer-Level Regressions with Controls for Return Migrants. Dependent Variable Is Operas per Composer, State, and Year, 1781-1820
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/composer_level_data.dta", clear

local variables annals met amazon

foreach variable of local variables {
gen `variable'_share=`variable'/comp_operas
}


*********************PANEL A: ALL OPERAS
***Column 1: Count, Controlling for Return Migrants
reg comp_operas copyright_post1801 returning_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 3: Count, Controlling for Stayers
reg comp_operas copyright_post180 stayers_copyright_post1801 i.composer_id i.year i.state1, nocon 


********************PANEL B: HISTORICALLY POPULAR OPERAS IN LOEWENBERG (1978)
***Column 1: Count, Controlling for Return Migrants
reg annals copyright_post1801 returning_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 2: Share, Controlling for Return Migrants
reg annals_share copyright_post1801 returning_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 3: Count, Controlling for Stayers
reg annals copyright_post1801 stayers_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 4: Share, Controlling for Stayers
reg annals_share copyright_post1801 stayers_copyright_post1801 i.composer_id i.year i.state1, nocon 


********************PANEL C: OPERAS PERFORMED AT THE METROPOLITAN, 1900-2014
***Column 1: Count, Controlling for Return Migrants
reg met copyright_post1801 returning_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 2: Share, Controlling for Return Migrants
reg met_share copyright_post1801 returning_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 3: Count, Controlling for Stayers
reg met copyright_post1801 stayers_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 4: Share, Controlling for Stayers
reg met_share copyright_post1801 stayers_copyright_post1801 i.composer_id i.year i.state1, nocon 


********************PANEL D: DURABLE OPERAS ON AMAZON TODAY
***Column 1: Count, Controlling for Return Migrants
reg amazon copyright_post1801 returning_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 2: Share, Controlling for Return Migrants
reg amazon_share copyright_post1801 returning_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 3: Count, Controlling for Stayers
reg amazon copyright_post1801 stayers_copyright_post1801 i.composer_id i.year i.state1, nocon 

***Column 4: Share, Controlling for Stayers
reg amazon_share copyright_post1801 stayers_copyright_post1801 i.composer_id i.year i.state1, nocon 

