**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Table A3: Collapsing the Pre- and Post-Period Observations with Clustering at the State Level, OLS. Dependent Variable Is Opera Created per State and Year, 1781-1820
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/operas_1781_1820.dta", clear

xtset state1 year

***Column 1: State and Year Fixed Effects
reg operas copyright_post1801 i.state1 i.year, nocon cluster(cluster)

***Column 2: Year Fixed Effects
reg operas copyright_post1801 copyright i.year, nocon cluster(cluster)

***Column 3: State and Year Fixed Effects + Linear Pre-Trend for Lombardy and Venetia
reg operas copyright_post1801 i.state1 i.year linear_pretrend, nocon cluster(cluster)

***Column 4: State and Year Fixed Effects + State Specific Pre-Trend
reg operas copyright_post1801 i.state1 i.year pretrend_modena pretrend_parma pretrend_tuscany pretrend_lombardy pretrend_papal_state pretrend_sardinia pretrend_sicily pretrend_venetia, nocon cluster(cluster)
