**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Table A5: De-Trending the Dependent Variable, OLS and QML Poisson. Dependent Variable Is Opera Created per State and Year, 1781-1820
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/operas_1781_1820.dta", clear

xtset state1 year

reg operas year i.state1 i.year  if year<=1801 & (state=="lombardy" | state=="venetia")

predict res if e(sample), res

replace res=0 if missing(res)
	
gen pred_operas=operas-res

***Column 1: State and Year Fixed Effects
reg pred_operas copyright_post1801 i.state1 i.year, nocon robust

***Column 2: Year Fixed Effects
reg pred_operas copyright_post1801 copyright i.year, nocon robust

***Column 3: State and Year Fixed Effects + Linear Pre-Trend for Lombardy and Venetia
reg pred_operas copyright_post1801 i.state1 i.year linear_pretrend, nocon robust

***Column 4: State and Year Fixed Effects + State Specific Pre-Trend
reg pred_operas copyright_post1801 i.state1 i.year pretrend_modena pretrend_parma pretrend_tuscany pretrend_lombardy pretrend_papal_state pretrend_sardinia pretrend_sicily pretrend_venetia, nocon robust

***Column 5: Poisson
poisson pred_operas copyright_post1801 i.state1 i.year, vce(robust)
margins, dydx(*)
