**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Table A6: Excluding Milan and Venice, OLS and QML Poisson. Dependent Variable Is Opera Created per State and Year, 1781-1820
clear all
set more off

use  "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/operas_1781_1820.dta", clear

xtset state1 year

*********************EXCLUDING VENICE**********************************

***Column 1: OLS
reg operas_novenice copyright_post1801 i.state1 i.year, nocon robust

***Column 2: Poisson
poisson operas_novenice copyright_post1801 i.state1 i.year,  vce(robust)
margins, dydx(*)


*********************EXCLUDING MILAN************************************

***Column 3: OLS
reg operas_no_milan copyright_post1801 i.state1 i.year, nocon robust

***Column 4: Poisson
poisson operas_no_milan copyright_post1801 i.state1 i.year, vce(robust)
margins, dydx(*)

*********************EXCLUDING MILAN AND VENICE**************************

***Column 5: OLS
reg opera_nomi_nove copyright_post1801 i.state1 i.year, nocon robust

***Column 6: Poisson
poisson opera_nomi_nove copyright_post1801 i.state1 i.year, vce(robust)
margins, dydx(*)

*********************EXCLUDING VENETIA**********************************
preserve

drop if state=="venetia"

***Column 7: OLS
reg operas copyright_post1801 i.state1 i.year, nocon robust

***Column 8: Poisson
poisson operas copyright_post1801 i.state1 i.year, vce(robust)
margins, dydx(*)

restore
