**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Table A8: Robustness checks, OLS with Alternative Measure of Quality
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/operas_1781_1820.dta", clear

xtset state1 year

local variables annals amazon met
foreach variable of local variables {
gen share_`variable'=operas_`variable'/operas
}

******************PANEL A: HISTORICALLY POPULAR OPERAS IN LOEWENBERG (1978)

***Column 1: Year FE, Count
reg operas_annals copyright_post1801 copyright i.year, nocon robust

***Column 2: Year FE, Share
reg share_annals copyright_post1801 copyright i.year, nocon robust

***Column 3: Linear Pre-Trend for Lombardy & Venetia, Count
reg operas_annals copyright_post1801 i.state1 i.year linear_pretrend, nocon robust

***Column 4: Linear Pre-Trend for Lombardy & Venetia, Share
reg share_annals copyright_post1801 i.state1 i.year linear_pretrend, nocon robust

***Column 5: State Specific Linear Pre-Trend, Count
reg operas_annals copyright_post1801 i.state1 i.year pretrend_modena pretrend_parma pretrend_tuscany pretrend_lombardy pretrend_papal_state pretrend_sardinia pretrend_sicily pretrend_venetia, nocon robust

***Column 6: State Specific Linear Pre-Trend, Share
reg share_annals copyright_post1801 i.state1 i.year pretrend_modena pretrend_parma pretrend_tuscany pretrend_lombardy pretrend_papal_state pretrend_sardinia pretrend_sicily pretrend_venetia, nocon robust


******************PANEL B: OPERAS PERFORMED AT THE METROPOLITAN, 1900-2014

***Column 1: Year FE, Count
reg operas_met copyright_post1801 copyright i.year, nocon robust

***Column 2: Year FE, Share
reg share_met copyright_post1801  copyright i.year, nocon robust

***Column 3: Linear Pre-Trend for Lombardy & Venetia, Count
reg operas_met copyright_post1801 i.state1 i.year linear_pretrend, nocon robust

***Column 4: Linear Pre-Trend for Lombardy & Venetia, Share
reg share_met copyright_post1801 i.state1 i.year linear_pretrend, nocon robust

***Column 5: State Specific Linear Pre-Trend, Count
reg operas_met copyright_post1801 i.state1 i.year pretrend_modena pretrend_parma pretrend_tuscany pretrend_lombardy pretrend_papal_state pretrend_sardinia pretrend_sicily pretrend_venetia, nocon robust

***Column 6: State Specific Linear Pre-Trend, Share
reg share_met copyright_post1801 i.state1 i.year pretrend_modena pretrend_parma pretrend_tuscany pretrend_lombardy pretrend_papal_state pretrend_sardinia pretrend_sicily pretrend_venetia, nocon robust


******************PANEL C: DURABLE OPERAS ON AMAZON TODAY

***Column 1: Year FE, Count
reg operas_amazon copyright_post1801 copyright i.year, nocon robust

***Column 2: Year FE, Share
reg share_amazon copyright_post1801 copyright i.year, nocon robust

***Column 3: Linear Pre-Trend for Lombardy & Venetia, Count
reg operas_amazon copyright_post1801 i.state1 i.year linear_pretrend, nocon robust

***Column 4: Linear Pre-Trend for Lombardy & Venetia, Share
reg share_amazon copyright_post1801 i.state1 i.year linear_pretrend, nocon robust

***Column 5: State Specific Linear Pre-Trend, Count
reg operas_amazon copyright_post1801 i.state1 i.year pretrend_modena pretrend_parma pretrend_tuscany pretrend_lombardy pretrend_papal_state pretrend_sardinia pretrend_sicily pretrend_venetia, nocon robust

***Column 6: State Specific Linear Pre-Trend, Share
reg share_amazon copyright_post1801 i.state1 i.year pretrend_modena pretrend_parma pretrend_tuscany pretrend_lombardy pretrend_papal_state pretrend_sardinia pretrend_sicily pretrend_venetia, nocon robust

