**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Appendix Table A9: De-Trending the Dependent Variable, OLS Regressions with Alternative Measures for Quality, 1781-1820
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/operas_1781_1820.dta", clear

xtset state1 year

local variables annals amazon met

foreach variable of local variables {
reg operas_`variable' year i.state1 i.year  if year<=1801 & (state=="lombardy" | state=="venetia")
predict res_`variable' if e(sample), res
replace res_`variable'=0 if missing(res_`variable')
gen pred_operas_`variable'=operas_`variable'-res_`variable'
}


local variables annals amazon met
foreach variable of local variables {
gen share_`variable'=operas_`variable'/operas
reg share_`variable' year i.state1 i.year  if year<=1801 & (state=="lombardy" | state=="venetia")
predict res_share_`variable' if e(sample), res
replace res_share_`variable'=0 if missing(res_share_`variable')
gen pred_share_`variable'=share_`variable'-res_share_`variable'
}

******************HISTORICALLY POPULAR OPERAS IN LOEWENBERG (1978)
***Column 1: Count
reg pred_operas_annals copyright_post1801 i.state1 i.year, nocon robust

***Column 2: Share
reg pred_share_annals copyright_post1801 i.state1 i.year, nocon robust

******************OPERAS PERFORMED AT THE METROPOLITAN, 1900-2014
***Column 3: Count
reg pred_operas_met copyright_post1801 i.state1 i.year, nocon robust

***Column 4: Share
reg pred_share_met copyright_post1801 i.state1 i.year, nocon robust

******************DURABLE OPERAS ON AMAZON TODAY
***Column 5: Count
reg pred_operas_amazon copyright_post1801 i.state1 i.year, nocon robust

***Column 6: Share
reg pred_share_amazon copyright_post1801 i.state1 i.year, nocon robust

