**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Figure 3: Time-Varying Estimates for Effects of Copyrights on New Operas per State and Year
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/operas_1781_1820.dta", clear

sort year

tab year, gen(y_)
tab state, gen(s)

forvalues i=1781/1821{
by year: gen copyright_`i' = (year==`i') * copyright
}


reg operas copyright_1791-copyright_1820  s1 s2 s3 s4 s5 s6 s7 y_1-y_39, robust nocon

regsave copyright_1791-copyright_1820 using "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/regsave_1790_1820.dta", ci tstat pval replace
    
use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/regsave_1790_1820.dta", clear
	
destring, replace
	
gen year=_n+1790
	
twoway (rcap ci_upper ci_lower year, lcolor(black)) || ///
(scatter coef year, mcolor(black)), ///
xtitle("") ytitle("{&beta}{subscript:r} Coefficients") ///
xline(1801, lcolor(black) lpattern(shortdash)) ///
legend (off) graphregion(color(white))  ///
text(10 1801 "1801 Copyright Law", placement(e)) ///
yline(0, lcolor(black))

graph export "figure3.eps"
