**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Table 2: Pre-Copyright Characteristics Lombardy and Venetia compared with Other Italian States

clear all
set more off

***Panel A: Population, Urbanization and GDP in 1800

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/state_level_data_1800.dta", clear

local variables population cities urbanization gdp_capita

foreach variable of local variables {
ttest `variable', by(copyright)
}

***Panel B: Proxies for the Demand for New Operas
use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/balancing_tests.dta", clear

bys state: gen n=_n 

local variables total_theaters theaters_opera number_seats composers libretto librettist

foreach variable of local variables {
ttest `variable' if n==1, by(copyright)
}

local variables2 total_theaters_city theaters_opera_city number_seats_city

foreach variable of local variables2 {
ttest `variable', by(copyright)
}
