**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Table 4: Effects of Copyrights on the Creation of New Operas. Dependent Variable Is Opera Created per State and Year, 1781-1820
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/operas_1781_1820.dta", clear

xtset state1 year

local variables annals amazon met
foreach variable of local variables {
gen share_`variable'=operas_`variable'/operas
}

****HISTORICALLY POPULAR OPERAS IN LOEWENBERG (1978)

***Column 1: Count
reg operas_annals copyright_post1801 i.state1 i.year, nocon robust

***Column 2: Share
reg share_annals copyright_post1801 i.state1 i.year, nocon robust

****OPERAS PERFORMED AT THE METROPOLITAN, 1900-2014

***Column 3: Count
reg operas_met copyright_post1801 i.state1 i.year, nocon robust

***Column 4: Share
reg share_met copyright_post1801 i.state1 i.year, nocon robust

****DURABLE OPERAS ON AMAZON TODAY

***Column 5: Count
reg operas_amazon copyright_post1801 i.state1 i.year, nocon robust

***Column 6: Share
reg share_amazon copyright_post1801 i.state1 i.year, nocon robust
