**********Copyright and Creativity: Evidence from Italian Opera in the Napoleonic Age
**********Authors: Michela Giorcelli (UCLA and NBER) and Petra Moser (NYU-Stern, NBER and CEPR)
**********Date: March 2020

***Table 5: Composer-Level Regressions. Dependent Variable Is New Operas per State and Year by Composer, 1781-1820
clear all
set more off

use "~/Dropbox/opera replication/replicationfiles/final submission march 2020/datasets/composer_level_data.dta", clear

local variables annals met amazon

foreach variable of local variables {
gen `variable'_share=`variable'/comp_operas
}

***********PANEL A: ALL COMPOSERS************************************************
***Column 1: All Operas
reg comp_operas copyright_post1801 i.composer_id i.state1 i.year, nocon robust

****HISTORICALLY POPULAR OPERAS IN LOEWENBERG (1978)

***Column 2: Count
reg annals copyright_post1801 i.composer_id i.state1 i.year, nocon robust

***Column 3: Share
reg annals_share copyright_post1801 i.composer_id i.state1 i.year, nocon robust

****OPERAS PERFORMED AT THE METROPOLITAN, 1900-2014

***Column 4: Count
reg met copyright_post1801 i.composer_id i.state1 i.year, nocon robust

***Column 5: Share
reg met_share copyright_post1801 i.composer_id i.state1 i.year, nocon robust

****DURABLE OPERAS ON AMAZON TODAY

***Column 6: Count
reg amazon copyright_post1801 i.composer_id i.state1 i.year, nocon robust

***Column 7: Share
reg amazon_share copyright_post1801 i.composer_id i.state1 i.year, nocon robust


***********PANEL B: EXCLUDING TOP 10% COMPOSERS****************************************
***Column 1: All Operas
reg comp_operas copyright_post1801 i.composer_id i.state1 i.year if tot_operas<30, nocon robust

****HISTORICALLY POPULAR OPERAS IN LOEWENBERG (1978)

***Column 2: Count
reg annals copyright_post1801 i.composer_id i.state1 i.year if tot_operas<30, nocon robust

***Column 3: Share
reg annals_share copyright_post1801 i.composer_id i.state1 i.year if tot_operas<30, nocon robust

****OPERAS PERFORMED AT THE METROPOLITAN, 1900-2014

***Column 4: Count
reg met copyright_post1801 i.composer_id i.state1 i.year if tot_operas<30, nocon robust

***Column 5: Share
reg met_share copyright_post1801 i.composer_id i.state1 i.year if tot_operas<30, nocon robust

****DURABLE OPERAS ON AMAZON TODAY

***Column 6: Count
reg amazon copyright_post1801 i.composer_id i.state1 i.year if tot_operas<30, nocon robust

***Column 7: Share
reg amazon_share copyright_post1801 i.composer_id i.state1 i.year if tot_operas<30, nocon robust



***********PANEL C: EXCLUDING TOP 20% COMPOSERS******************************************
***Column 1: All Operas
reg comp_operas copyright_post1801 i.composer_id i.state1 i.year if tot_operas<20, nocon robust

****HISTORICALLY POPULAR OPERAS IN LOEWENBERG (1978)

***Column 2: Count
reg annals copyright_post1801 i.composer_id i.state1 i.year if tot_operas<20, nocon robust

***Column 3: Share
reg annals_share copyright_post1801 i.composer_id i.state1 i.year if tot_operas<20, nocon robust

****OPERAS PERFORMED AT THE METROPOLITAN, 1900-2014

***Column 4: Count
reg met copyright_post1801 i.composer_id i.state1 i.year if tot_operas<20, nocon robust

***Column 5: Share
reg met_share copyright_post1801 i.composer_id i.state1 i.year if tot_operas<20, nocon robust

****DURABLE OPERAS ON AMAZON TODAY

***Column 6: Count
reg amazon copyright_post1801 i.composer_id i.state1 i.year if tot_operas<20, nocon robust

***Column 7: Share
reg amazon_share copyright_post1801 i.composer_id i.state1 i.year if tot_operas<20, nocon robust
